﻿using System;
using System.Globalization;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class pinpad : UserControl {

    private const string IMAGE_URL = "./pinpad_digit.aspx";

    private string username;
    private TextBox pinField;

    public string Username {
        get { return username; } 
        set {
            if (username != value) {
                username = value;
                ShowPinpad();
            }
        }
    }

    public TextBox PINField { get { return pinField; } set { pinField = value; } }

    private string sessionID;

    protected void Page_Load(object sender, EventArgs e) {
        ShowPinpad();
    }

    private void ShowPinpad() {
        if (string.IsNullOrEmpty(Username)) {
            Visible = false;
        } else {
            Visible = true;
            sessionID = new Random().Next().ToString(CultureInfo.InvariantCulture);
            for (int idx = 0; idx < 10; idx++) {
                ImageButton img = FindControl("image" + idx) as ImageButton;
                if (img != null) {
                    img.OnClientClick = "return addDigit('" + pinField.ClientID + "', '" + idx + "');";
                    img.ImageUrl = IMAGE_URL + "?username=" + Username + "&padno=" + sessionID + ":" + idx;
                }
            }
        }
    }
}