﻿using System;
using System.Drawing.Imaging;
using System.Net;
using System.Text;
using System.Web.UI;
using com.swivelsecure.pinsafe;

public partial class pinpad_digit : Page {

    protected void Page_Load(object sender, EventArgs e) {
        // Load settings
        PINsafeClient client = new PINsafeClient();
        // Get the ID of the image to retrieve.
        string padno = Request["padno"];
        string username = Request["username"];

        int statusCode;
        System.Drawing.Image img = client.GetPinpadImage(username, padno, out statusCode);

        // Request image
        if (statusCode != (int)HttpStatusCode.OK) {
            Response.StatusCode = statusCode;
        } else {
            Response.ContentType = "image/gif";
            StringBuilder disposition = new StringBuilder("inline; filename=turing.gif");
            Response.AddHeader("Content-Disposition", disposition.ToString());
            if (img != null) {
                img.Save(Response.OutputStream, ImageFormat.Gif);
            }
        }

        // Try and prevent caching
        Response.CacheControl = "private";
        Response.ExpiresAbsolute = new DateTime(1970, 1, 1);
        Response.AddHeader("Pragma", "no-cache");

        // Done
        Response.End();
    }
}